org.keycloak.models.jpa.entities

## Class GroupEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.GroupEntity

-     @Entity
      public class GroupEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Collection<GroupAttributeEntity>` | `attributes`
    `protected String` | `id`
    `protected String` | `name`
    `static String` | `TOP_PARENT_ID` ID set in the PARENT column to mark the group as top level.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Collection<GroupAttributeEntity>` | `getAttributes()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getParentId()`
    `String` | `getRealm()`
    `int` | `hashCode()`
    `void` | `setAttributes(Collection<GroupAttributeEntity> attributes)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setParentId(String parentId)`
    `void` | `setRealm(String realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TOP_PARENT_ID

          public static String TOP_PARENT_ID

      ID set in the PARENT column to mark the group as top level.

    - #### id

          protected String id

    - #### name

          protected String name

    - #### attributes

          protected Collection<GroupAttributeEntity> attributes

  - ### Constructor Detail

    - #### GroupEntity

          public GroupEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getAttributes

          public Collection<GroupAttributeEntity> getAttributes()

    - #### setAttributes

          public void setAttributes(Collection<GroupAttributeEntity> attributes)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getParentId

          public String getParentId()

    - #### setParentId

          public void setParentId(String parentId)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.